> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms/form/relations.md).

# Relations

## Relations

### Overview

This node contains all existing [relations](#relation) used in the form, which appear as a list when expanding the `relations` node.

### Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                       | Summary                                                                                                     |
| --------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| [Create relation](#create-relation)           | Creates a relation through [relation editor](/reference/servoy-developer/object-editors/relation-editor.md) |
| [Toggle Form Commands](#toggle-form-commands) | Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md)                          |
| [Add to working set](#add-to-working-set)     | Adds form to a Working Set                                                                                  |

### Commands Details

The details for each command available on this item via right-click context menu:

#### Create relation

Opens the [Relation Editor](https://github.com/Servoy/gitbook/blob/master/reference/servoy-developer/solution-explorer/object-editors/relation-editor.md) in order to create a new relation.

#### Toggle Form Commands

Opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md). A form has two parts, user interface file and scripting file. In Form Editor you can change the design of the form.

#### Add to working set

Add the form to a working set (like a logical folder for that form).

## Relation

### Overview

Each item represents a relation used in the form.

### Properties Summary

See [Relation](/reference/servoycore/object-model/solution/relation.md#property-summary) for properties that can be set on a **Relation** from Properties View.

### Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                         | Summary                                                                                                    |
| ----------------------------------------------- | ---------------------------------------------------------------------------------------------------------- |
| [Open relation](#create-relation)               | Opens the [relation editor](/reference/servoy-developer/object-editors/relation-editor.md)                 |
| [Duplicate relation](#duplicate-relation)       | Duplicates relation and opens the [Form Editor](/reference/servoy-developer/object-editors/form-editor.md) |
| [Delete relation](#delete-relation)             | Deletes the selected relation                                                                              |
| [Search for References](#search-for-references) | Searches all references in your active solution                                                            |

### Commands Details

The details for each command available on this item via right-click context menu:

#### Open relation

Opens the [relation editor](/reference/servoy-developer/object-editors/relation-editor.md) for the selected relation.

#### Duplicate relation

Makes a copy of the selected relation. Before switching to [relation editor](/reference/servoy-developer/object-editors/relation-editor.md), the user is asked for a name of a duplicated relation.

#### Delete relation

Deletes the selected relation after prompting a confirmation window.

#### Search for References

Search all references of the relation in your active solution.

### Contextual List

Here are the item details that appear in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) and each command available via right-click:

* relation name:
  * [Open relation](#create-relation)
  * [Search for References](#search-for-references)
  * [Duplicate relation](#duplicate-relation)
  * [Delete relation](#delete-relation)
* dataproviders:
  * column ids, aggregates:
    * [Search for References](#search-for-references)
  * calculations:
    * [Open in Script Editor](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#open-in-script-editor)
    * [Search for References](#search-for-references)
* foundset methods


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms/form/relations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
